body {
    font-family: 'Amatic SC', cursive, Arial, sans-serif; /* Utilisation de la police Amatic SC */
    margin: 0;
    padding: 0;
    background-image: url('magic_forest.jpg');
    background-size: cover;
    background-attachment: fixed;
    background-position: center;
    color: #fff;
}

.container {
    max-width: 800px;
    margin: 50px auto;
    text-align: center;
}

.header {
    margin-bottom: 30px;
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(127, 123, 123, 0.3);
    padding: 20px;
}

.header h1 {
    color: #fff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    font-size: 48px;
}

.section {
    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 10px;
    box-shadow: 0 0 20px rgba(127, 123, 123, 0.3);
    padding: 30px;
    margin-bottom: 30px;
}

h2 {
    color: #ffffff;
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.5);
    font-size: 36px;
}

#timer {
    font-size: 80px;
    margin-top: 230px;
}

p {
    font-size: 35px;
}


.floating-block {

    background-color: rgba(0, 0, 0, 0.7);
    border-radius: 10px;
    padding: 5%;
    max-width: 90%; /* Limitez la largeur pour une meilleure adaptabilité */
    max-height: 90vh; /* Limitez la hauteur pour éviter le débordement sur de petits écrans */
    overflow-y: auto; /* Ajoutez une barre de défilement verticale si nécessaire */
    box-shadow: 0 0 20px rgba(127, 123, 123, 0.3);
    z-index: 0;
}




.confirm-button,
.send-photos-button {
    display: inline-block;
    padding: 10px 50px;
    margin: 10px;
    border: 2px solid #2b2b2b; /* Couleur des bordures */
    border-radius: 5px;
    font-family: 'Amatic SC', cursive;
    font-size: 24px;
    text-transform: uppercase;
    cursor: pointer;
    transition: background-color 0.3s, color 0.3s, border-color 0.3s;
}

.confirm-button {
    background-color: #2b2b2b; /* Couleur de fond */
    color: white; /* Couleur du texte */
}

.send-photos-button {
    background-color: #2b2b2b; /* Couleur de fond */
    color: white; /* Couleur du texte */
}

.confirm-button:hover,
.send-photos-button:hover {
    background-color: #898989; /* Couleur de fond au survol */
    color: white; /* Couleur du texte au survol */
    border-color: #898989; /* Couleur de la bordure au survol */
}


/* Modal */
.modal {
    display: none; /* Masquer le modal par défaut */
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0,0,0,0.5); /* Fond semi-transparent */
}

/* Modifiez ces styles dans votre fichier styles.css */

/* Style du modal */
.modal-content {
    background-color: rgba(0, 0, 0, 0.7); /* Couleur de fond similaire à celle des autres blocs */
    margin: 15% auto; /* Centrer le modal verticalement et horizontalement */
    padding: 40px;
    border-radius: 10px;
    width: 80%;
    max-width: 600px; /* Largeur maximale du modal */
}

/* Style du modal des photos */
.photo-modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.5); /* Fond semi-transparent */
}

/* Style du contenu du modal des photos */
.photo-modal-content {
    background-color: rgba(0, 0, 0, 0.7); /* Couleur de fond similaire à celle des autres blocs */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    padding: 40px;
    border-radius: 10px;
    width: 80%;
    max-width: 600px; /* Largeur maximale du modal */
    z-index: 999999;
}

/* Style des champs de formulaire */
form label {
    display: block;
    margin-bottom: 10px;
    font-size: 18px;
    color: #ffffff; /* Couleur du texte */
}

form input[type="text"],
form input[type="number"] {
    width: calc(100% - 20px);
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
    background-color: #fff; /* Couleur de fond */
    color: #333; /* Couleur du texte */
}

form button[type="submit"] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #4CAF50;
    color: white;
    font-size: 18px;
    cursor: pointer;
}

/* Style du bouton de fermeture */
.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/* Ajoutez ces styles CSS à votre fichier styles.css */

/* Style des champs de formulaire */
form label {
    display: block;
    margin-bottom: 10px;
    font-size: 24px;
}

form input[type="text"],
form input[type="number"],
form select,
form textarea{
    width: calc(100% - 20px);
    padding: 10px;
    margin-bottom: 20px;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 16px;
}

form button[type="submit"] {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 5px;
    background-color: #4CAF50;
    color: white;
    font-size: 18px;
    cursor: pointer;
}

/* Style du modal */
.modal-content {
    background-color: rgba(0, 0, 0); /* Augmentation de l'opacité du fond */
    margin: 15% auto; /* Centrer le modal verticalement et horizontalement */
    padding: 40px;
    border: 1px solid #888;
    border-radius: 10px;
    width: 80%;
    max-width: 600px; /* Largeur maximale du modal */
}
.popup {
    display: none;
    position: fixed;
    z-index: 1000;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0); /* Augmentation de l'opacité du fond */
    color: #fff;
    padding: 50px;
    border-radius: 10px;
    text-align: center;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.5); /* Ajout d'une légère ombre portée */
}

.popup-content {
    position: relative;
}

.close {
    position: absolute;
    top: -60px;
    right: 10px;
    font-size: 50px;
    cursor: pointer;
}

.close:hover {
    color: #ff0000;
}
.close-modal{
    color: #aaa;
    font-size: 50px;
    font-weight: bold;
    cursor: pointer;
float: right;
    z-index: 9999;
}

.close-modal:hover,
.close-modal:focus {
    color: #ff0000;
    text-decoration: none;
    cursor: pointer;
}

.close-modal-photo{
    color: #aaa;
    font-size: 50px;
    font-weight: bold;
    cursor: pointer;
    float: right;
    z-index: 9999;
}

.close-modal-photo:hover,
.close-modal-photo:focus {
    color: #ff0000;
    text-decoration: none;
    cursor: pointer;
}

.section-container {
    display: flex;
    justify-content: space-between; /* Pour espacer les enfants */
}


.dropzone {
    background: white;
    border-radius: 5px;
    border: 2px dashed black;
    border-image: none;
    max-width: 500px;
    margin-left: auto;
    margin-right: auto;
}

.dz-message {
    margin: 2em auto;
    text-align: center;
    color: black;
    font-size: 24px;
}
#loader {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: rgba(0, 0, 0); /* Fond semi-transparent */
    border-radius: 8px;
    padding: 20px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.2); /* Ombre légère */
    z-index: 9999; /* Assurez-vous que le loader est au-dessus de tous les autres éléments */
}

#loader::after {
    content: ''; /* Contenu vide nécessaire pour utiliser :after */
    display: block;
    width: 40px;
    height: 40px;
    border: 4px solid white; /* Couleur de la bordure */
    border-radius: 50%; /* Forme de cercle */
    border-top-color: transparent; /* Masquer une partie de la bordure pour créer l'effet de rotation */
    animation: loader-spin 1s linear infinite; /* Animation de rotation */
    margin: 0 auto; /* Centrer horizontalement */
}
/* Styles pour le bouton "OK" */
.custom-button {
    background-color: #2b2b2b; /* Couleur de fond */
    color: white; /* Couleur du texte */
    padding: 10px 20px; /* Espacement intérieur */
    border: none; /* Supprimer la bordure */
    border-radius: 5px; /* Coins arrondis */
    cursor: pointer; /* Curseur de type pointer */
}

/* Au survol du bouton */
.custom-button:hover {
    background-color: #898989; /* Couleur de fond au survol */
}

#countdown {
background-image: url('nous.jpg');
background-size: cover;
background-repeat: no-repeat;
    height: 300px!important;

color: #fff;

}
@keyframes loader-spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

/* Media queries pour les tailles d'écran plus petites */
@media only screen and (max-width: 600px) {
    .modal-content {
        width: 70%;
    }

    .header h1 {
        font-size: 36px;
    }

    h2 {
        font-size: 24px;
    }

    #timer {
        font-size: 48px;
    }

    p {
        font-size: 24px;
    }

}
/*responsive for tablet*/
@media only screen and (max-width: 2000px) {


    .header h1 {
        font-size: 36px;
    }

    h2 {
        font-size: 24px;
    }

    #timer {
        font-size: 48px;
    }

    p {
        font-size: 24px;
    }

}
.navbar {
    background-color: rgba(0, 0, 0, 0.7); /* Fond semi-transparent */
    display: flex;
    justify-content: center; /* Centre les éléments horizontalement */
    padding: 10px 0;
    position: sticky; /* Rend la barre de navigation collante en haut */
    top: 0;
    z-index: 1000; /* Assure que la barre est au-dessus des autres éléments */
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.5); /* Légère ombre pour un effet flottant */
}

.navbar a {
    color: #fff; /* Couleur du texte */
    text-decoration: none; /* Supprime les soulignements */
    font-size: 24px; /* Taille de la police */
    padding: 10px 20px; /* Espacement intérieur des liens */
    margin: 0 10px; /* Espacement entre les liens */
    border-radius: 5px; /* Coins arrondis */
    transition: background-color 0.3s, color 0.3s; /* Animation fluide */
}

.navbar a:hover {
    background-color: #898989; /* Couleur de fond au survol */
    color: #fff; /* Couleur du texte au survol */
}

.navbar a.active {
    background-color: #2b2b2b; /* Couleur pour le lien actif */
    color: #fff; /* Couleur du texte pour le lien actif */
}
